<div class="container">
  <mat-card appearance="outlined">
    <mat-card-header class="center">
      <mat-card-title>Login</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <form [formGroup]="loginForm" (ngSubmit)="onSubmit()" class="form center">
        <div>
          <mat-form-field appearance="outline">
            <mat-label>Email</mat-label>
            <input matInput type="email" formControlName="email" />
            <mat-icon matSuffix>email</mat-icon>
          </mat-form-field>
        </div>
        <div>
          <mat-form-field appearance="outline">
            <mat-label>Password</mat-label>
            <input matInput type="password" formControlName="password" />
            <mat-icon matSuffix>password</mat-icon>
          </mat-form-field>
        </div>
        <mat-card-actions>
          <button
            mat-flat-button
            color="primary"
            type="submit"
            [disabled]="!loginForm.valid"
          >
            Login
          </button>
        </mat-card-actions>
      </form>
    </mat-card-content>
    <mat-card-footer>
      <mat-card-subtitle>
        <p>Não tem conta? <a routerLink="/signup">Registre-se</a></p>
        <p>
          Esqueceu-se da password?
          <a routerLink="/password-reset">Alterar a password</a>
        </p>
      </mat-card-subtitle>
    </mat-card-footer>
  </mat-card>
</div>
